package com.example.onomatopoeiaback.repository;

import com.example.onomatopoeiaback.domain.employee.Employee;
import lombok.NonNull;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface EmployeeRepository extends JpaRepository<Employee, Long> {
    Employee getEmployeeById(Long id);

    Optional<Employee> findByLogin(@NonNull String login);

    @Query("SELECT e FROM Employee e WHERE LOWER(CONCAT(e.firstName, ' ', e.lastName, ' ', e.patronymic)) LIKE LOWER(concat('%', :fullName, '%'))")
    Page<Employee> searchEmployees(@Param("fullName") String fullName, Pageable pageable);
}

